using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using C1.Silverlight.Chart.Extended;

namespace AxisScrollBar
{
  public partial class YAxisDemo : UserControl
  {
    public YAxisDemo()
    {
      InitializeComponent();

      chart.CreateData(true);

      // create slider for y-axis
      var yslider = new AxisRangeSlider()
      {
        // more space for background chart
        Height = 60,
        // chart on the slider 
        BackgroundChart = chart.CreateAxisChart()
      };
      chart.View.AxisY.ScrollBar = yslider;
    }
  }
}
